//
//  ChooseAnimal.m
//  PetTrainerFinal
//
//  Created by Tomomasa Terazaki on 4/1/10.
//  Copyright 2010 UC Berkeley. All rights reserved.
//

#import "ChooseAnimal.h"
#import "HomeSettingController.h"
#import "HomeController.h"

@implementation ChooseAnimal

@synthesize ptf, pageBefore, navBefore, hc;

-(IBAction) goBack {
	[self.navBefore popViewControllerAnimated:YES];
}

-(IBAction) dog {
  [ptf.localData setObject:@"dog.png" forKey:@"petpic"];
	ptf.petpic = [UIImage imageNamed:@"dog.png"];
	ptf.petnews = [[NSString alloc] initWithFormat:@"%@ is a dog\n%@", ptf.petname, ptf.petnews];
}

-(IBAction) cat {
  [ptf.localData setObject:@"cat.jpg" forKey:@"petpic"];
	ptf.petpic = [UIImage imageNamed:@"cat.jpg"];
	ptf.petnews = [[NSString alloc] initWithFormat:@"%@ is a cat\n%@", ptf.petname, ptf.petnews];
  [ptf.localData setObject:ptf.petnews forKey:@"petnews"];
}

-(IBAction) horse {
  [ptf.localData setObject:@"horse.jpg" forKey:@"petpic"];
	ptf.petpic = [UIImage imageNamed:@"horse.jpg"];
	ptf.petnews = [[NSString alloc] initWithFormat:@"%@ is a horse\n%@", ptf.petname, ptf.petnews];
  [ptf.localData setObject:ptf.petnews forKey:@"petnews"];
}

-(IBAction) cow {
  [ptf.localData setObject:@"cow.jpg" forKey:@"petpic"];
	ptf.petpic = [UIImage imageNamed:@"cow.jpg"];
	ptf.petnews = [[NSString alloc] initWithFormat:@"%@ is a cow\n%@", ptf.petname, ptf.petnews];
  [ptf.localData setObject:ptf.petnews forKey:@"petnews"];
}

-(IBAction) pig {
  [ptf.localData setObject:@"pig.jpg" forKey:@"petpic"];
	ptf.petpic = [UIImage imageNamed:@"pig.jpg"];
	ptf.petnews = [[NSString alloc] initWithFormat:@"%@ is a pig\n%@", ptf.petname, ptf.petnews];
  [ptf.localData setObject:ptf.petnews forKey:@"petnews"];
}

-(IBAction) cheetah {
  [ptf.localData setObject:@"cheetah.jpg" forKey:@"petpic"];
	ptf.petpic = [UIImage imageNamed:@"cheetah.jpg"];
	ptf.petnews = [[NSString alloc] initWithFormat:@"%@ is a cheetah\n%@", ptf.petname, ptf.petnews];
  [ptf.localData setObject:ptf.petnews forKey:@"petnews"];
}

-(IBAction) rabbit {
  [ptf.localData setObject:@"rabbit.jpg" forKey:@"petpic"];
	ptf.petpic = [UIImage imageNamed:@"rabbit.jpg"];
	ptf.petnews = [[NSString alloc] initWithFormat:@"%@ is a rabbit\n%@", ptf.petname, ptf.petnews];
  [ptf.localData setObject:ptf.petnews forKey:@"petnews"];
}


- (void)motionBegan:(UIEventSubtype)motion withEvent:(UIEvent *)event {
    if (event.type == UIEventTypeMotion && event.subtype == UIEventSubtypeMotionShake) {
      [ptf updateCurrentSteps];
    }
}

- (void)motionEnded:(UIEventSubtype)motion withEvent:(UIEvent *)event {
  if (event.type == UIEventTypeMotion && event.subtype == UIEventSubtypeMotionShake) {
		[ptf updateHappiness];
	}
}

- (void) viewDidAppear:(BOOL)animated {
    [self becomeFirstResponder];
    [super viewDidAppear:animated];
}

-(BOOL) canBecomeFirstResponder {
	return YES;
}

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	self.ptf = (PetTrainerFinalAppDelegate *) [[UIApplication sharedApplication] delegate];
    [super viewDidLoad];
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
