//
//  FeedController.h
//  PetTrainerFinal
//
//  Created by Tomomasa Terazaki on 3/31/10.
//  Copyright 2010 UC Berkeley. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "PetTrainerFinalAppDelegate.h"
#import "FeedPic.h"
#import "NewFood.h"
#import "FoodHistory.h"

@interface FeedController : UIViewController {
	PetTrainerFinalAppDelegate *ptf;
	NSMutableArray *arryData;
	IBOutlet UITableView *tblSimpleTable;
	IBOutlet UINavigationController *nav;
	FeedPic *fp;
	NewFood *nf;
	FoodHistory *fh;
}

@property (nonatomic, retain) PetTrainerFinalAppDelegate *ptf;
@property (nonatomic, retain) UINavigationController *nav;
@property (nonatomic, retain) FeedPic *fp;
@property (nonatomic, retain) NewFood *nf;
@property (nonatomic, retain) FoodHistory *fh;
@property (nonatomic, retain) NSMutableArray *arryData;

-(IBAction) goNewFood;
-(IBAction) goFoodHistory;
-(void) saveData;
-(void) reloading;
-(NSString *) dataFilePath;

@end
