//
//  FoodHistory.h
//  PetTrainerFinal
//
//  Created by Tomomasa Terazaki on 4/1/10.
//  Copyright 2010 UC Berkeley. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "PetTrainerFinalAppDelegate.h"
#import "FoodInfo.h"
@class FeedController;

@interface FoodHistory : UIViewController {
	PetTrainerFinalAppDelegate *ptf;
	UINavigationController *navBefore;
	FeedController *pageBefore;
	IBOutlet UITableView *tblSimpleTable;
	NSMutableArray *foodData;
	IBOutlet FoodInfo *fi;
	IBOutlet UILabel *totCalories;
}

@property (nonatomic, retain) PetTrainerFinalAppDelegate *ptf;
@property (retain, nonatomic) UINavigationController *navBefore;
@property (retain, nonatomic) FeedController *pageBefore;
@property (retain, nonatomic) UITableView *tblSimpleTable;
@property (retain, nonatomic) NSMutableArray *foodData;
@property (retain, nonatomic) FoodInfo *fi;
@property (retain, nonatomic) UILabel *totCalories;

-(IBAction) goBack;
-(NSString *) dataFilePath;
-(void) saveData;
-(void) reloading;
-(IBAction) calculate;
-(void) change;

@end
