//
//  NewFoodSearch.m
//  PetTrainerFinal
//
//  Created by Class Account on 4/17/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "NewFoodSearch.h"
#import "NewFood.h"

@implementation NewFoodSearch

@synthesize ptf, pageBefore, navBefore;

-(IBOutlet) goBackToNewFood {
	[self.navBefore popViewControllerAnimated:YES];
}

- (void)motionBegan:(UIEventSubtype)motion withEvent:(UIEvent *)event {
    if (event.type == UIEventTypeMotion && event.subtype == UIEventSubtypeMotionShake) {
      [ptf updateCurrentSteps];
    }
}

- (void)motionEnded:(UIEventSubtype)motion withEvent:(UIEvent *)event {
  if (event.type == UIEventTypeMotion && event.subtype == UIEventSubtypeMotionShake) {
		[ptf updateHappiness];
	}
}

- (void) viewDidAppear:(BOOL)animated {
    [self becomeFirstResponder];
    [super viewDidAppear:animated];
}

-(BOOL) canBecomeFirstResponder {
	return YES;
}
 
/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	self.ptf = (PetTrainerFinalAppDelegate *) [[UIApplication sharedApplication] delegate];
	[super viewDidLoad];
	[self refresh];
}


-(void) refresh {
	NSString *tempURL = [NSString stringWithFormat:@"http://www.bing.com/search?q=calories+in+%@", pageBefore.name.text];
	tempURL = [tempURL stringByReplacingOccurrencesOfString:@" " withString:@"+"];
	
	// loading the content from a URLNSURL
	NSURL *url = [NSURL URLWithString:tempURL];
	NSURLRequest *request = [NSURLRequest requestWithURL:url];
	[loading startAnimating];
	[webView loadRequest:request];
}

- (void)webViewDidFinishLoad:(UIWebView *)someWebView {
	if (someWebView == webView) {
		[loading stopAnimating];
	}
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
	[pageBefore release];
	[navBefore release];
	
	[webView release];
	[loading release];
}


@end
