//
//  GameController.h
//  PetTrainerFinal
//
//  Created by Tomomasa Terazaki on 3/31/10.
//  Copyright 2010 UC Berkeley. All rights reserved.
//
 
#import <UIKit/UIKit.h>
#import "OnePlayer.h"
#import "TwoPlayer.h"
#import "PetTrainerFinalAppDelegate.h"
#import "GameScore.h"

@interface GameController : UIViewController {	
	PetTrainerFinalAppDelegate *ptf;
	IBOutlet UINavigationController *nav;
	OnePlayer *op;
	TwoPlayer *tp;
	IBOutlet UIImageView *leftImage;
	IBOutlet UIImageView *rightImage;
	GameScore *gs;
}

@property (nonatomic, retain) PetTrainerFinalAppDelegate *ptf;
@property (nonatomic, retain) UINavigationController *nav;
@property (nonatomic, retain) OnePlayer *op;
@property (nonatomic, retain) TwoPlayer *tp;
@property (nonatomic, retain) UIImageView *leftImage;
@property (nonatomic, retain) UIImageView *rightImage;
@property (nonatomic, retain) GameScore *gs;

-(IBAction) goOnePlayer;
-(IBAction) goTwoPlayer;
-(IBAction) goHistory;


@end
