//
//  ReadMe2.m
//  PetTrainerFinal
//
//  Created by Tomomasa Terazaki on 4/15/10.
//  Copyright 2010 UC Berkeley. All rights reserved.
//

#import "ReadMe2.h"

@implementation ReadMe2

@synthesize ptf;

-(IBAction) goBack {
	[self dismissModalViewControllerAnimated:YES];
}

- (void)motionBegan:(UIEventSubtype)motion withEvent:(UIEvent *)event {
    if (event.type == UIEventTypeMotion && event.subtype == UIEventSubtypeMotionShake) {
      [ptf updateCurrentSteps];
    }
}

- (void)motionEnded:(UIEventSubtype)motion withEvent:(UIEvent *)event {
  if (event.type == UIEventTypeMotion && event.subtype == UIEventSubtypeMotionShake) {
		[ptf updateHappiness];
	}
}

- (void) viewDidAppear:(BOOL)animated {
    [self becomeFirstResponder];
    [super viewDidAppear:animated];
}

-(BOOL) canBecomeFirstResponder {
	return YES;
}

- (void)viewDidLoad {
	self.ptf = (PetTrainerFinalAppDelegate *) [[UIApplication sharedApplication] delegate];
	scroll.contentSize = CGSizeMake(320, 1300);
	[self.view addSubview:scroll];
    [super viewDidLoad];
}

/*
 // Override to allow orientations other than the default portrait orientation.
 - (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
 // Return YES for supported orientations
 return (interfaceOrientation == UIInterfaceOrientationPortrait);
 }
 */

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
