//
//  WalkRunController.h
//  PetTrainerFinal
//
//  Created by Tomomasa Terazaki on 3/31/10.
//  Copyright 2010 UC Berkeley. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "PetTrainerFinalAppDelegate.h"
#import "WalkRunHistory.h"

@interface WalkRunController : UIViewController {
	PetTrainerFinalAppDelegate *ptf;
	IBOutlet UILabel *step;
	IBOutlet UILabel *mood;
	WalkRunHistory *wrh;
	IBOutlet UIImageView *pic;
}

@property (nonatomic, retain) PetTrainerFinalAppDelegate *ptf;
@property (nonatomic, retain) UILabel *step;
@property (nonatomic, retain) UILabel *mood;
@property (nonatomic, retain) WalkRunHistory *wrh;
@property (nonatomic, retain) UIImageView *pic;

-(IBAction) saveSteps;
-(IBAction) goHistory;
-(void) changePic;

@end