//
//  NewFood.h
//  PetTrainerFinal
//
//  Created by Tomomasa Terazaki on 4/1/10.
//  Copyright 2010 UC Berkeley. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "PetTrainerFinalAppDelegate.h"
#import "NewFoodSearch.h" 
@class FeedController;

@interface NewFood : UIViewController {
	PetTrainerFinalAppDelegate *ptf;
	UINavigationController *navBefore;
	FeedController *pageBefore;
	IBOutlet UITextField *name;
	IBOutlet UITextField *calories;
	IBOutlet UILabel *existence;
	NSString *googleSearch;
	NewFoodSearch *nfs;
}

@property (nonatomic, retain) PetTrainerFinalAppDelegate *ptf;
@property (retain, nonatomic) UINavigationController *navBefore;
@property (retain, nonatomic) FeedController *pageBefore;
@property (retain, nonatomic) UITextField *name;
@property (retain, nonatomic) UITextField *calories;
@property (retain, nonatomic) UILabel *existence;
@property (retain, nonatomic) NSString *googleSearch;
@property (retain, nonatomic) NewFoodSearch *nfs;

-(IBAction) goBack;
-(IBAction) goNothing;

-(IBAction) openSearchBrowser;

@end
