//
//  PetTrainerFinalAppDelegate.h
//  PetTrainerFinal
//
//  Created by Tomomasa Terazaki on 3/31/10.
//  Copyright UC Berkeley 2010. All rights reserved.
//

#import <UIKit/UIKit.h>
@class HomeSettingController;

@interface PetTrainerFinalAppDelegate : NSObject <UIApplicationDelegate, UITabBarControllerDelegate> {
    UIWindow *window;
    UITabBarController *tabBarController;
	NSString *petname;
	NSString *petsex;
	NSString *petmonth;
	NSString *petday;
	NSString *petyear;
	NSString *petheightfeet;
	NSString *petheightinch;
	NSString *petweight;
	NSString *petmood;
	NSString *peteatmood;
	NSString *foodname;
	NSString *petnews;
	NSString *petWalkNews;
	NSString *tempFood;
	HomeSettingController *hsc;
	UIImage *petpic;
	BOOL steps;
	int currentSteps;
	int totalSteps;
	int totalCalories;
	int happiness;
	int walkHappiness;
	int eatHappiness;	
	NSMutableArray *foodList;
	NSMutableArray *time;
	NSString *petTime;
	
	NSUserDefaults *localData;
}

@property (nonatomic, retain) IBOutlet UIWindow *window;
@property (nonatomic, retain) IBOutlet UITabBarController *tabBarController;
@property (nonatomic, retain) NSString *petname;
@property (nonatomic, retain) NSString *petsex;
@property (nonatomic, retain) NSString *petmonth;
@property (nonatomic, retain) NSString *petday;
@property (nonatomic, retain) NSString *petyear;
@property (nonatomic, retain) NSString *petheightfeet;
@property (nonatomic, retain) NSString *petheightinch;
@property (nonatomic, retain) NSString *petweight;
@property (nonatomic, retain) NSString *petmood;
@property (nonatomic, retain) NSString *peteatmood;
@property (nonatomic, retain) NSString *foodname;
@property (nonatomic, retain) NSString *petnews;
@property (nonatomic, retain) NSString *petWalkNews;
@property (nonatomic, retain) NSString *tempFood;
@property (nonatomic, retain) HomeSettingController *hsc;
@property (nonatomic, retain) UIImage *petpic;
@property BOOL steps;
@property int currentSteps;
@property int totalSteps;
@property int totalCalories;
@property int happiness;
@property int walkHappiness;
@property int eatHappiness;
@property (retain, nonatomic) NSMutableArray *foodList;
@property (retain, nonatomic) NSMutableArray *time;
@property (nonatomic, retain) NSString *petTime;

@property (nonatomic, retain) NSUserDefaults *localData;

-(void) loadFoodList;
-(void) saveFoodList;
-(void) updateCurrentSteps;
-(void) updateHappiness;

@end
