//
//  HomeController.h
//  PetTrainerFinal
//
//  Created by Tomomasa Terazaki on 3/31/10.
//  Copyright 2010 UC Berkeley. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "PetTrainerFinalAppDelegate.h"
#import "HomeSettingController.h"
#import "ReadMeMain.h"
#import "FeedController.h"

@interface HomeController : UIViewController {
	PetTrainerFinalAppDelegate *ptf;
	IBOutlet UILabel *name;
	IBOutlet UILabel *sex;
	IBOutlet UILabel *bday;
	IBOutlet UILabel *height;
	IBOutlet UILabel *weight;
	IBOutlet UILabel *mood;
	IBOutlet UITextView *news;
	IBOutlet UIImageView *face;
	IBOutlet UINavigationController *nav;
	HomeSettingController *hsc;
	IBOutlet UIImageView *animalPic;
	ReadMeMain *help;
	FeedController *fc;
}

@property (nonatomic, retain) PetTrainerFinalAppDelegate *ptf;
@property (nonatomic, retain) UILabel *name;
@property (nonatomic, retain) UILabel *sex;
@property (nonatomic, retain) UILabel *bday;
@property (nonatomic, retain) UILabel *height;
@property (nonatomic, retain) UILabel *weight;
@property (nonatomic, retain) UILabel *mood;
@property (nonatomic, retain) UITextView *news;
@property (nonatomic, retain) UIImageView *face;
@property (nonatomic, retain) UINavigationController *nav;
@property (nonatomic, retain) HomeSettingController *hsc;
@property (nonatomic, retain) UIImageView *animalPic;
@property (nonatomic, retain) ReadMeMain *help;
@property (nonatomic, retain) FeedController *fc;

-(IBAction) goSetting;
-(IBAction) goHelp;
-(void) change;

@end
