//
//  HomeSettingController.h
//  PetTrainerFinal
//
//  Created by Tomomasa Terazaki on 3/31/10.
//  Copyright 2010 UC Berkeley. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "PetTrainerFinalAppDelegate.h"
#import "ChooseAnimal.h"
#import "WalkRunController.h"
@class HomeController;

@interface HomeSettingController : UIViewController {
	PetTrainerFinalAppDelegate *ptf;
	IBOutlet UITextField *month;
	IBOutlet UITextField *year;
	IBOutlet UITextField *day;
	IBOutlet UISegmentedControl *sex;
	IBOutlet UITextField *heightfeet;
	IBOutlet UITextField *heightinch;
	IBOutlet UITextField *weight;
	IBOutlet UITextField *name;
	UINavigationController *navBefore;
	HomeController *pageBefore;
	IBOutlet UINavigationController *nav;
	ChooseAnimal *ca;
	WalkRunController *wrc;
}

@property (nonatomic, retain) PetTrainerFinalAppDelegate *ptf;
@property (retain, nonatomic) UITextField *month;
@property (retain, nonatomic) UITextField *year;
@property (retain, nonatomic) UITextField *day;
@property (retain, nonatomic) UISegmentedControl *sex;
@property (retain, nonatomic) UITextField *heightfeet;
@property (retain, nonatomic) UITextField *heightinch;
@property (retain, nonatomic) UITextField *weight;
@property (retain, nonatomic) UITextField *name;
@property (retain, nonatomic) UINavigationController *navBefore;
@property (retain, nonatomic) HomeController *pageBefore;
@property (retain, nonatomic) UINavigationController *nav;
@property (retain, nonatomic) ChooseAnimal *ca;
@property (retain, nonatomic) WalkRunController *wrc;

-(IBAction) goBack;
-(IBAction) sexChange;
-(IBAction) nameChange;
-(IBAction) newAnimal;
-(IBAction) reset;
- (void)alertView:(UIAlertView *)actionSheet clickedButtonAtIndex:(NSInteger)buttonIndex;

@end
